Bug 191689 - OOo 2.0.3 not selinux PROT_EXEC complient
OOo 2.0.3 not selinux PROT_EXEC complient
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On: 191972
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-15 04:40 EDT by Kjartan Maraas
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.0.3-1.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-19 13:50:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kjartan Maraas 2006-05-15 04:40:09 EDT
Description of problem:

The current version of OO.o crashes whenever I open a document (.doc and .xls
tested)

Version-Release number of selected component (if applicable):


How reproducible:

Every time

Steps to Reproduce:
1.
2.
3.
  
Actual results:

Video Driver is probably: radeon
Desktop is: GNOME
libgcj version is: libgcj-4.1.0-16
kernel is: Linux 2.6.16-1.2202_FC6 #1 SMP Thu May 11 22:21:27 EDT 2006 i686 i686
i386
OpenOffice.org core rpm version is: openoffice.org-core-2.0.3-0.169.3
accessibility is: false
...start sestatus details ...
SELinux status:                 enabled
SELinuxfs mount:                /selinux
Current mode:                   enforcing
Mode from config file:          enforcing
Policy version:                 20
Policy from config file:        targeted
...end sestatus details ...
0x499e4898: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e898
0x499e50d8: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1f0d8
0x48358420:  + 0x420 (__kernel_sigreturn + 0x0)
0x48c0f721: /lib/libc.so.6 + 0x29721 (abort + 0x101)
0xe64690: /usr/lib/libstdc++.so.6 + 0xb6690
(__gnu_cxx::__verbose_terminate_handler() + 0x150)
0xe620b5: /usr/lib/libstdc++.so.6 + 0xb40b5
0xe620f2: /usr/lib/libstdc++.so.6 + 0xb40f2
0xe6222a: /usr/lib/libstdc++.so.6 + 0xb422a
0x66fed9: /usr/lib/openoffice.org2.0/program/libgcc3_uno.so + 0x6ed9
0x670242: /usr/lib/openoffice.org2.0/program/libgcc3_uno.so + 0x7242
0x66f3ef: /usr/lib/openoffice.org2.0/program/libgcc3_uno.so + 0x63ef
0x66ea0b: /usr/lib/openoffice.org2.0/program/libgcc3_uno.so + 0x5a0b
0x49c9427c: /usr/lib/openoffice.org2.0/program/libuno_cppuhelpergcc3.so.3 + 0x1627c
0x49c93ce8: /usr/lib/openoffice.org2.0/program/libuno_cppuhelpergcc3.so.3 +
0x15ce8 (cppu::throwException(com::sun::star::uno::Any const&) + 0x198)
0x49d9a042: /usr/lib/openoffice.org2.0/program/libucbhelper3gcc3.so + 0x49042
(ucbhelper::cancelCommandExecution(com::sun::star::ucb::IOErrorCode,
com::sun::star::uno::Sequence<com::sun::star::uno::Any> const&,
com::sun::star::uno::Reference<com::sun::star::ucb::XCommandEnvironment> const&,
rtl::OUString const&,
com::sun::star::uno::Reference<com::sun::star::ucb::XCommandProcessor> const&) +
0x174)
0x4c03faab: /usr/lib/openoffice.org2.0/program/libucpfile1.so + 0x2eaab
0x4c031996: /usr/lib/openoffice.org2.0/program/libucpfile1.so + 0x20996
0x4c01ea53: /usr/lib/openoffice.org2.0/program/libucpfile1.so + 0xda53
0x4c0210bb: /usr/lib/openoffice.org2.0/program/libucpfile1.so + 0x100bb
0x49d6e3f1: /usr/lib/openoffice.org2.0/program/libucbhelper3gcc3.so + 0x1d3f1
0x49d6ed5f: /usr/lib/openoffice.org2.0/program/libucbhelper3gcc3.so + 0x1dd5f
(ucb::Content::executeCommand(rtl::OUString const&, com::sun::star::uno::Any
const&) + 0x4b)
0x49ebc980: /usr/lib/openoffice.org2.0/program/libutl680li.so + 0x3e980
0x49ebf272: /usr/lib/openoffice.org2.0/program/libutl680li.so + 0x41272
(utl::UcbLockBytes::CreateLockBytes(com::sun::star::uno::Reference<com::sun::star::ucb::XContent>
const&, com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue>
const&, unsigned short,
com::sun::star::uno::Reference<com::sun::star::task::XInteractionHandler>
const&, utl::UcbLockBytesHandler*) + 0x2f6)
0x49ec887b: /usr/lib/openoffice.org2.0/program/libutl680li.so + 0x4a87b
0x49ec8d63: /usr/lib/openoffice.org2.0/program/libutl680li.so + 0x4ad63
(utl::UcbStreamHelper::CreateStream(String const&, unsigned short,
utl::UcbLockBytesHandler*, unsigned char) + 0x33)
0x4a5d362f: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0xa262f
0x4a6d738a: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1a638a
0x4a6d74fb: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1a64fb
(SfxDispatcher::SfxDispatcher(SfxDispatcher*) + 0x27)
0x4a5d0c76: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x9fc76
0x4a5c732a: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x9632a
(SfxApplication::GetOrCreate() + 0xcc)
0x4a5c8264: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x97264
0x4a6f103b: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1c003b
0x4a6f2ba1: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1c1ba1
0x49ca59dd: /usr/lib/openoffice.org2.0/program/libuno_cppuhelpergcc3.so.3 + 0x279dd
0x49ca5757: /usr/lib/openoffice.org2.0/program/libuno_cppuhelpergcc3.so.3 + 0x27757
0x49ca57be: /usr/lib/openoffice.org2.0/program/libuno_cppuhelpergcc3.so.3 + 0x277be
0x49ca630e: /usr/lib/openoffice.org2.0/program/libuno_cppuhelpergcc3.so.3 + 0x2830e
0x49ca5757: /usr/lib/openoffice.org2.0/program/libuno_cppuhelpergcc3.so.3 + 0x27757
0x49ca580f: /usr/lib/openoffice.org2.0/program/libuno_cppuhelpergcc3.so.3 + 0x2780f
0x3e1c2e: /usr/lib/openoffice.org2.0/program/servicemgr.uno.so + 0x8c2e
0x3e144d: /usr/lib/openoffice.org2.0/program/servicemgr.uno.so + 0x844d
0x4bdfc417: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x25417
(desktop::Desktop::Main() + 0x909)
0x49fef932: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8f932
0x49fef9e5: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8f9e5
(SVMain() + 0x2b)
0x4bdf72f9: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x202f9 (sal_main
+ 0x5d)
0x4bdf7345: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x20345 (main + 0x27)
0x48bfb7e4: /lib/libc.so.6 + 0x157e4 (__libc_start_main + 0xdc)
0x80484d1: /usr/lib/openoffice.org2.0/program/scalc.bin + 0x4d1

Expected results:


Additional info:
Comment 1 Caolan McNamara 2006-05-15 10:51:16 EDT
Sounds like selinux is preventing the first exception to work correctly, though
our "work with selinux" patches were *supposed* to be in this release. 

Does it crash on just 

> oowriter

from a terminal ?
Comment 2 Caolan McNamara 2006-05-16 04:24:55 EDT
Got a probably good patch for this
Comment 3 Kjartan Maraas 2006-05-16 05:52:06 EDT
Yes, it crashes when run from a terminal with no args too.
Comment 4 Caolan McNamara 2006-05-16 12:57:52 EDT
There's a bit more to getting full happiness, see bug 191972 as well
Comment 5 Caolan McNamara 2006-05-19 13:50:34 EDT
We should be good with 2.0.3-1.1

Note You need to log in before you can comment on or make changes to this bug.